Get monitored prompt details
curl --request GET \
--url https://api.firstanswer.ai/v1/monitored-prompts/{monitored_prompt_id}/ \
--header 'api-key: <api-key>'import requests
url = "https://api.firstanswer.ai/v1/monitored-prompts/{monitored_prompt_id}/"
headers = {"api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'api-key': '<api-key>'}};
fetch('https://api.firstanswer.ai/v1/monitored-prompts/{monitored_prompt_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 123,
"prompt": "<string>",
"total_responses": 123,
"total_brand_mentions": 123,
"brand_mention_rate": "<string>",
"brand_average_position": "<string>",
"time_series_data": [
{
"date": "2023-12-25",
"brands": [
{
"name": "<string>",
"mention_rate": "<string>",
"average_sentiment": "<string>",
"own_brand": true
}
]
}
],
"next_run_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
}{
"code": "<string>",
"message": "<string>",
"details": {}
}{
"code": "<string>",
"message": "<string>",
"details": {}
}Monitored Prompts
Get monitored prompt details
GET
/
v1
/
monitored-prompts
/
{monitored_prompt_id}
/
Get monitored prompt details
Authorizations
Path Parameters
Query Parameters
Start date in YYYY-MM-DD format
End date in YYYY-MM-DD format
chat_gpt- Chat Gptperplexity- Perplexitybing_copilot- Bing Copilotgoogle_ai- Google Aigemini- Geminigrok- Grokgoogle_ai_mode- Google Ai Mode
Available options:
chat_gpt, perplexity, bing_copilot, google_ai, gemini, grok, google_ai_mode Minimum string length:
1Response
Success
Show child attributes
Show child attributes
⌘I